diff --git a/lib/app/modules/petugas_desa/views/daftar_penerima_view.dart b/lib/app/modules/petugas_desa/views/daftar_penerima_view.dart
index b76e730..a780478 100644
--- a/lib/app/modules/petugas_desa/views/daftar_penerima_view.dart
+++ b/lib/app/modules/petugas_desa/views/daftar_penerima_view.dart
@@ -221,15 +221,25 @@ class DaftarPenerimaView extends GetView<PenerimaController> {
                     ),
                     child: CircleAvatar(
                       radius: 35,
-                      backgroundColor: AppTheme.primaryColor.withOpacity(0.1),
-                      backgroundImage: penerima['foto_profil'] != null
+                      backgroundColor: AppTheme.primaryColor.withOpacity(0.2),
+                      backgroundImage: penerima['foto_profil'] != null &&
+                              penerima['foto_profil'].toString().isNotEmpty
                           ? NetworkImage(penerima['foto_profil'])
                           : null,
-                      child: penerima['foto_profil'] == null
-                          ? Icon(
-                              Icons.person,
-                              size: 35,
-                              color: AppTheme.primaryColor.withOpacity(0.7),
+                      child: (penerima['foto_profil'] == null ||
+                              penerima['foto_profil'].toString().isEmpty)
+                          ? Text(
+                              penerima['nama_lengkap'] != null
+                                  ? penerima['nama_lengkap']
+                                      .toString()
+                                      .substring(0, 1)
+                                      .toUpperCase()
+                                  : '?',
+                              style: TextStyle(
+                                fontWeight: FontWeight.bold,
+                                color: AppTheme.primaryColor,
+                                fontSize: 24,
+                              ),
                             )
                           : null,
                     ),
@@ -435,13 +445,24 @@ class PenerimaSearchDelegate extends SearchDelegate {
             },
             leading: CircleAvatar(
               backgroundColor: AppTheme.primaryColor.withOpacity(0.1),
-              backgroundImage: penerima['foto_profil'] != null
+              backgroundImage: penerima['foto_profil'] != null &&
+                      penerima['foto_profil'].toString().isNotEmpty
                   ? NetworkImage(penerima['foto_profil'])
                   : null,
-              child: penerima['foto_profil'] == null
-                  ? const Icon(
-                      Icons.person,
-                      color: AppTheme.primaryColor,
+              child: (penerima['foto_profil'] == null ||
+                      penerima['foto_profil'].toString().isEmpty)
+                  ? Text(
+                      penerima['nama_lengkap'] != null
+                          ? penerima['nama_lengkap']
+                              .toString()
+                              .substring(0, 1)
+                              .toUpperCase()
+                          : '?',
+                      style: TextStyle(
+                        fontWeight: FontWeight.bold,
+                        color: AppTheme.primaryColor,
+                        fontSize: 24,
+                      ),
                     )
                   : null,
             ),
diff --git a/lib/app/modules/petugas_desa/views/dashboard_view.dart b/lib/app/modules/petugas_desa/views/dashboard_view.dart
index 8160c40..dc5dccf 100644
--- a/lib/app/modules/petugas_desa/views/dashboard_view.dart
+++ b/lib/app/modules/petugas_desa/views/dashboard_view.dart
@@ -33,6 +33,58 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
                         child: Column(
                           crossAxisAlignment: CrossAxisAlignment.start,
                           children: [
+                            // Header DisalurKita dengan logo dan slogan
+                            FadeInAnimation(
+                              child: Container(
+                                padding: const EdgeInsets.all(16),
+                                decoration: BoxDecoration(
+                                  color: Colors.white,
+                                  borderRadius: BorderRadius.circular(15),
+                                  boxShadow: [
+                                    BoxShadow(
+                                      color: Colors.blue.withOpacity(0.1),
+                                      blurRadius: 10,
+                                      offset: const Offset(0, 4),
+                                    ),
+                                  ],
+                                ),
+                                child: Row(
+                                  children: [
+                                    Image.asset(
+                                      'assets/images/logo-disalurkita.png',
+                                      width: 50,
+                                      height: 50,
+                                    ),
+                                    const SizedBox(width: 15),
+                                    const Column(
+                                      crossAxisAlignment:
+                                          CrossAxisAlignment.start,
+                                      children: [
+                                        Text(
+                                          'DisalurKita',
+                                          style: TextStyle(
+                                            fontSize: 20,
+                                            fontWeight: FontWeight.bold,
+                                            color: Color(0xFF1565C0),
+                                          ),
+                                        ),
+                                        SizedBox(height: 5),
+                                        Text(
+                                          'Salurkan dengan Pasti, Pantau dengan Bukti',
+                                          style: TextStyle(
+                                            fontSize: 12,
+                                            color: Colors.grey,
+                                            fontWeight: FontWeight.w500,
+                                          ),
+                                        ),
+                                      ],
+                                    ),
+                                  ],
+                                ),
+                              ),
+                            ),
+                            const SizedBox(height: 20),
+
                             // Header dengan greeting
                             FadeInAnimation(
                               child: GreetingHeader(
@@ -83,7 +135,7 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
       crossAxisAlignment: CrossAxisAlignment.start,
       children: [
         Text(
-          'Jadwal Penyaluran',
+          'Jadwal Penyaluran Hari Ini',
           style: TextStyle(
             fontSize: 18,
             fontWeight: FontWeight.bold,
@@ -130,19 +182,25 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
                 final DateTime tanggal =
                     DateTime.parse(jadwal['tanggal_penyaluran']);
                 final String formattedDate =
-                    DateTimeHelper.formatDateTime(tanggal);
+                    FormatHelper.formatDateTime(tanggal);
                 final kategoriBantuan =
                     jadwal['kategori_bantuan'] as Map<String, dynamic>;
                 final lokasiPenyaluran =
                     jadwal['lokasi_penyaluran'] as Map<String, dynamic>;
 
-                return ScheduleCard(
-                  title: kategoriBantuan['nama'] ?? 'Jadwal Penyaluran',
-                  location: lokasiPenyaluran['nama'] ?? 'Lokasi tidak tersedia',
-                  dateTime: formattedDate,
-                  isToday: true,
-                  onTap: () => Get.toNamed(Routes.detailPenyaluran,
-                      parameters: {'id': jadwal['id']}),
+                return Column(
+                  children: [
+                    if (index > 0) const SizedBox(height: 10),
+                    ScheduleCard(
+                      title: kategoriBantuan['nama'] ?? 'Jadwal Penyaluran',
+                      location:
+                          lokasiPenyaluran['nama'] ?? 'Lokasi tidak tersedia',
+                      dateTime: formattedDate,
+                      isToday: true,
+                      onTap: () => Get.toNamed(Routes.detailPenyaluran,
+                          parameters: {'id': jadwal['id']}),
+                    ),
+                  ],
                 );
               },
             );
@@ -391,8 +449,10 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
                 final nik = penerima['nik'] ?? 'NIK tidak tersedia';
                 final status = penerima['status'] ?? 'AKTIF';
                 final id = penerima['id'] ?? 'ID tidak tersedia';
+                final fotoProfil = penerima['foto_profil'] ?? null;
 
-                return _buildRecipientItem(name, nik, status, id, textTheme);
+                return _buildRecipientItem(
+                    name, nik, status, id, textTheme, fotoProfil);
               },
             );
           },
@@ -401,8 +461,8 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
     );
   }
 
-  Widget _buildRecipientItem(
-      String name, String nik, String status, String id, TextTheme textTheme) {
+  Widget _buildRecipientItem(String name, String nik, String status, String id,
+      TextTheme textTheme, String? fotoProfil) {
     return Container(
       width: double.infinity,
       margin: const EdgeInsets.only(bottom: 10),
@@ -428,7 +488,20 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
             children: [
               CircleAvatar(
                 backgroundColor: Colors.white.withOpacity(0.2),
-                child: const Icon(Icons.person, color: Colors.white),
+                backgroundImage:
+                    fotoProfil != null && fotoProfil.toString().isNotEmpty
+                        ? NetworkImage(fotoProfil)
+                        : null,
+                child: (fotoProfil == null || fotoProfil.toString().isEmpty)
+                    ? Text(
+                        name.toString().substring(0, 1).toUpperCase(),
+                        style: const TextStyle(
+                          fontWeight: FontWeight.bold,
+                          color: Colors.white,
+                          fontSize: 24,
+                        ),
+                      )
+                    : null,
               ),
               const SizedBox(width: 12),
               Expanded(
diff --git a/lib/app/modules/petugas_desa/views/detail_donatur_view.dart b/lib/app/modules/petugas_desa/views/detail_donatur_view.dart
index a502794..b680308 100644
--- a/lib/app/modules/petugas_desa/views/detail_donatur_view.dart
+++ b/lib/app/modules/petugas_desa/views/detail_donatur_view.dart
@@ -5,6 +5,7 @@ import 'package:penyaluran_app/app/data/models/donatur_model.dart';
 import 'package:penyaluran_app/app/data/models/penitipan_bantuan_model.dart';
 import 'package:penyaluran_app/app/widgets/dialogs/detail_penitipan_dialog.dart';
 import 'package:penyaluran_app/app/utils/format_helper.dart';
+import 'package:penyaluran_app/app/widgets/widgets.dart';
 
 class DetailDonaturView extends GetView<DonaturController> {
   const DetailDonaturView({super.key});
@@ -359,7 +360,7 @@ class DetailDonaturView extends GetView<DonaturController> {
                     Icons.calendar_today,
                     'Terdaftar Sejak',
                     donatur.createdAt != null
-                        ? DateTimeHelper.formatDate(donatur.createdAt!)
+                        ? FormatHelper.formatDateTime(donatur.createdAt!)
                         : 'Tidak diketahui',
                   ),
                 ],
@@ -514,7 +515,8 @@ class DetailDonaturView extends GetView<DonaturController> {
   Widget _buildDonasiItem(PenitipanBantuanModel penitipan) {
     final isUang = penitipan.isUang == true;
     final tanggal = penitipan.createdAt != null
-        ? DateTimeHelper.formatDate(penitipan.createdAt!, format: 'dd MMM yyyy')
+        ? FormatHelper.formatDateTime(penitipan.createdAt!,
+            format: 'dd MMM yyyy')
         : 'Tanggal tidak diketahui';
 
     String nilaiDonasi = '';
@@ -626,7 +628,7 @@ class DetailDonaturView extends GetView<DonaturController> {
       getPetugasDesaNama: (String? id) =>
           controller.getPetugasDesaNama(id) ?? 'Petugas tidak diketahui',
       showFullScreenImage: (String imageUrl) {
-        DetailPenitipanDialog.showFullScreenImage(Get.context!, imageUrl);
+        ShowImageDialog.showFullScreen(Get.context!, imageUrl);
       },
     );
   }
diff --git a/lib/app/modules/petugas_desa/views/detail_penerima_view.dart b/lib/app/modules/petugas_desa/views/detail_penerima_view.dart
index 956e5d8..8ca5510 100644
--- a/lib/app/modules/petugas_desa/views/detail_penerima_view.dart
+++ b/lib/app/modules/petugas_desa/views/detail_penerima_view.dart
@@ -107,14 +107,24 @@ class DetailPenerimaView extends GetView<PenerimaController> {
               child: CircleAvatar(
                 radius: 60,
                 backgroundColor: Colors.white,
-                backgroundImage: penerima['foto_profil'] != null
+                backgroundImage: penerima['foto_profil'] != null &&
+                        penerima['foto_profil'].toString().isNotEmpty
                     ? NetworkImage(penerima['foto_profil'])
                     : null,
-                child: penerima['foto_profil'] == null
-                    ? Icon(
-                        Icons.person,
-                        size: 60,
-                        color: AppTheme.primaryColor.withOpacity(0.7),
+                child: (penerima['foto_profil'] == null ||
+                        penerima['foto_profil'].toString().isEmpty)
+                    ? Text(
+                        penerima['nama_lengkap'] != null
+                            ? penerima['nama_lengkap']
+                                .toString()
+                                .substring(0, 1)
+                                .toUpperCase()
+                            : '?',
+                        style: TextStyle(
+                          fontWeight: FontWeight.bold,
+                          color: AppTheme.primaryColor.withOpacity(0.7),
+                          fontSize: 36,
+                        ),
                       )
                     : null,
               ),
@@ -507,7 +517,7 @@ class DetailPenerimaView extends GetView<PenerimaController> {
                       child: _buildInfoItem(
                         Icons.calendar_today,
                         'Tanggal Penerimaan',
-                        DateTimeHelper.formatDateTime(tanggalPenerimaan),
+                        FormatHelper.formatDateTime(tanggalPenerimaan),
                       ),
                     ),
                     Expanded(
diff --git a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
index 7a297f1..c61eb45 100644
--- a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
+++ b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
@@ -1,13 +1,12 @@
 import 'package:flutter/material.dart';
 import 'package:get/get.dart';
-import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/data/models/pengaduan_model.dart';
 import 'package:penyaluran_app/app/data/models/tindakan_pengaduan_model.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/controllers/pengaduan_controller.dart';
 import 'package:penyaluran_app/app/theme/app_theme.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/widgets/cards/info_card.dart';
 import 'package:penyaluran_app/app/widgets/indicators/status_pill.dart';
-import 'package:penyaluran_app/app/widgets/section_header.dart';
 import 'package:penyaluran_app/app/services/supabase_service.dart';
 import 'package:timeline_tile/timeline_tile.dart';
 import 'package:image_picker/image_picker.dart';
@@ -15,7 +14,7 @@ import 'dart:io';
 import 'package:penyaluran_app/app/widgets/inputs/dropdown_input.dart';
 import 'package:penyaluran_app/app/widgets/inputs/text_input.dart';
 import 'package:cached_network_image/cached_network_image.dart';
-import 'package:penyaluran_app/app/routes/app_pages.dart';
+import 'package:penyaluran_app/app/widgets/widgets.dart';
 
 class DetailPengaduanView extends GetView<PengaduanController> {
   const DetailPengaduanView({super.key});
@@ -1092,8 +1091,8 @@ class DetailPengaduanView extends GetView<PengaduanController> {
                           child: Row(
                             children: tindakan.buktiTindakan!.map((bukti) {
                               return GestureDetector(
-                                onTap: () =>
-                                    showFullScreenImage(context, bukti),
+                                onTap: () => ShowImageDialog.showFullScreen(
+                                    context, bukti),
                                 child: Container(
                                   width: 100,
                                   height: 100,
@@ -1190,8 +1189,8 @@ class DetailPengaduanView extends GetView<PengaduanController> {
                         Expanded(
                           child: Text(
                             tindakan.tanggalTindakan != null
-                                ? DateFormat('dd MMM yyyy HH:mm', 'id_ID')
-                                    .format(tindakan.tanggalTindakan!)
+                                ? FormatHelper.formatDateTime(
+                                    tindakan.tanggalTindakan!)
                                 : '-',
                             style: TextStyle(
                               fontSize: 12,
@@ -1669,9 +1668,11 @@ class DetailPengaduanView extends GetView<PengaduanController> {
                                         return Stack(
                                           children: [
                                             GestureDetector(
-                                              onTap: () => showFullScreenImage(
-                                                  stateContext,
-                                                  buktiTindakanPaths[index]),
+                                              onTap: () => ShowImageDialog
+                                                  .showFullScreen(
+                                                      stateContext,
+                                                      buktiTindakanPaths[
+                                                          index]),
                                               child: Container(
                                                 width: 100,
                                                 height: 100,
@@ -2003,63 +2004,6 @@ class DetailPengaduanView extends GetView<PengaduanController> {
     );
   }
 
-  void showFullScreenImage(BuildContext context, String imagePath) {
-    showDialog(
-      context: context,
-      builder: (BuildContext context) {
-        return Dialog(
-          insetPadding: EdgeInsets.zero,
-          backgroundColor: Colors.transparent,
-          child: Stack(
-            alignment: Alignment.center,
-            children: [
-              GestureDetector(
-                onTap: () => Navigator.pop(context),
-                child: Container(
-                  width: double.infinity,
-                  height: double.infinity,
-                  color: Colors.black87,
-                ),
-              ),
-              InteractiveViewer(
-                panEnabled: true,
-                boundaryMargin: const EdgeInsets.all(20),
-                minScale: 0.5,
-                maxScale: 4.0,
-                child: CachedNetworkImage(
-                  imageUrl: imagePath,
-                  placeholder: (context, url) => const Center(
-                    child: CircularProgressIndicator(),
-                  ),
-                  errorWidget: (context, url, error) => Column(
-                    mainAxisSize: MainAxisSize.min,
-                    children: [
-                      const Icon(Icons.error, color: Colors.white, size: 32),
-                      const SizedBox(height: 8),
-                      Text(
-                        'Gagal memuat gambar',
-                        style: TextStyle(color: Colors.white),
-                      ),
-                    ],
-                  ),
-                ),
-              ),
-              Positioned(
-                top: 20,
-                right: 20,
-                child: IconButton(
-                  icon: const Icon(Icons.close, color: Colors.white, size: 30),
-                  onPressed: () => Navigator.pop(context),
-                ),
-              ),
-            ],
-          ),
-        );
-      },
-    );
-  }
-
-  // Widget untuk menampilkan feedback dan rating warga
   Widget _buildFeedbackSection(BuildContext context, PengaduanModel pengaduan) {
     return Card(
       elevation: 3,
@@ -2348,8 +2292,7 @@ class DetailPengaduanView extends GetView<PengaduanController> {
                 const SizedBox(width: 12),
                 Text(
                   pengaduan.tanggalPengaduan != null
-                      ? DateFormat('dd MMMM yyyy', 'id_ID')
-                          .format(pengaduan.tanggalPengaduan!)
+                      ? FormatHelper.formatDateTime(pengaduan.tanggalPengaduan!)
                       : '-',
                   style: TextStyle(
                     fontSize: 15,
@@ -2376,7 +2319,8 @@ class DetailPengaduanView extends GetView<PengaduanController> {
                         return Padding(
                           padding: const EdgeInsets.only(right: 8),
                           child: GestureDetector(
-                            onTap: () => _showFullScreenImage(context, url),
+                            onTap: () =>
+                                ShowImageDialog.showFullScreen(context, url),
                             child: Container(
                               width: 120,
                               decoration: BoxDecoration(
@@ -2589,57 +2533,4 @@ class DetailPengaduanView extends GetView<PengaduanController> {
       );
     }
   }
-
-  void _showFullScreenImage(BuildContext context, String imagePath) {
-    showDialog(
-      context: context,
-      builder: (BuildContext context) {
-        return Dialog(
-          insetPadding: EdgeInsets.zero,
-          backgroundColor: Colors.transparent,
-          child: Stack(
-            children: [
-              InteractiveViewer(
-                panEnabled: true,
-                minScale: 0.5,
-                maxScale: 4,
-                child: Container(
-                  width: double.infinity,
-                  height: double.infinity,
-                  color: Colors.black.withOpacity(0.7),
-                  child: Center(
-                    child: imagePath.startsWith('http')
-                        ? CachedNetworkImage(
-                            imageUrl: imagePath,
-                            placeholder: (context, url) => const Center(
-                              child: CircularProgressIndicator(),
-                            ),
-                            errorWidget: (context, url, error) => const Icon(
-                              Icons.error,
-                              color: Colors.red,
-                              size: 50,
-                            ),
-                          )
-                        : Image.file(File(imagePath)),
-                  ),
-                ),
-              ),
-              Positioned(
-                top: 20,
-                right: 20,
-                child: IconButton(
-                  icon: const Icon(
-                    Icons.close,
-                    color: Colors.white,
-                    size: 30,
-                  ),
-                  onPressed: () => Navigator.pop(context),
-                ),
-              ),
-            ],
-          ),
-        );
-      },
-    );
-  }
 }
diff --git a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
index 52a7ce0..4db0fcd 100644
--- a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
+++ b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
@@ -267,7 +267,7 @@ class DetailPenyaluranPage extends StatelessWidget {
                     Icons.event,
                     'Tanggal Penyaluran',
                     penyaluran.tanggalPenyaluran != null
-                        ? DateTimeHelper.formatDateTime(
+                        ? FormatHelper.formatDateTime(
                             penyaluran.tanggalPenyaluran!)
                         : 'Belum dijadwalkan',
                     AppTheme.secondaryColor),
@@ -280,7 +280,7 @@ class DetailPenyaluranPage extends StatelessWidget {
                       Icons.event_available,
                       'Tanggal Selesai',
                       penyaluran.tanggalSelesai != null
-                          ? DateTimeHelper.formatDateTime(
+                          ? FormatHelper.formatDateTime(
                               penyaluran.tanggalSelesai!)
                           : '-',
                       AppTheme.secondaryColor),
@@ -1065,19 +1065,30 @@ class DetailPenyaluranPage extends StatelessWidget {
                   backgroundColor: sudahMenerima
                       ? statusColor.withOpacity(0.15)
                       : Colors.grey.shade50,
-                  child: Text(
-                    warga != null && warga['nama_lengkap'] != null
-                        ? warga['nama_lengkap']
-                            .toString()
-                            .substring(0, 1)
-                            .toUpperCase()
-                        : '?',
-                    style: TextStyle(
-                      fontWeight: FontWeight.bold,
-                      color: sudahMenerima ? statusColor : Colors.grey.shade700,
-                      fontSize: 22,
-                    ),
-                  ),
+                  backgroundImage: warga != null &&
+                          warga['foto_profil'] != null &&
+                          warga['foto_profil'].toString().isNotEmpty
+                      ? NetworkImage(warga['foto_profil'])
+                      : null,
+                  child: (warga == null ||
+                          warga['foto_profil'] == null ||
+                          warga['foto_profil'].toString().isEmpty)
+                      ? Text(
+                          warga != null && warga['nama_lengkap'] != null
+                              ? warga['nama_lengkap']
+                                  .toString()
+                                  .substring(0, 1)
+                                  .toUpperCase()
+                              : '?',
+                          style: TextStyle(
+                            fontWeight: FontWeight.bold,
+                            color: sudahMenerima
+                                ? statusColor
+                                : Colors.grey.shade700,
+                            fontSize: 22,
+                          ),
+                        )
+                      : null,
                 ),
               ),
               const SizedBox(width: 16),
@@ -1621,19 +1632,28 @@ class DetailPenyaluranPage extends StatelessWidget {
                     CircleAvatar(
                       radius: 30,
                       backgroundColor: statusColor.withOpacity(0.2),
-                      child: Text(
-                        warga != null && warga['nama_lengkap'] != null
-                            ? warga['nama_lengkap']
-                                .toString()
-                                .substring(0, 1)
-                                .toUpperCase()
-                            : '?',
-                        style: TextStyle(
-                          fontWeight: FontWeight.bold,
-                          color: statusColor,
-                          fontSize: 24,
-                        ),
-                      ),
+                      backgroundImage: warga != null &&
+                              warga['foto_profil'] != null &&
+                              warga['foto_profil'].toString().isNotEmpty
+                          ? NetworkImage(warga['foto_profil'])
+                          : null,
+                      child: (warga == null ||
+                              warga['foto_profil'] == null ||
+                              warga['foto_profil'].toString().isEmpty)
+                          ? Text(
+                              warga != null && warga['nama_lengkap'] != null
+                                  ? warga['nama_lengkap']
+                                      .toString()
+                                      .substring(0, 1)
+                                      .toUpperCase()
+                                  : '?',
+                              style: TextStyle(
+                                fontWeight: FontWeight.bold,
+                                color: statusColor,
+                                fontSize: 24,
+                              ),
+                            )
+                          : null,
                     ),
                     const SizedBox(width: 16),
                     Expanded(
@@ -1753,7 +1773,7 @@ class DetailPenyaluranPage extends StatelessWidget {
                       if (penerima.tanggalPenerimaan != null)
                         _buildInfoRow(
                             'Tanggal Penerimaan',
-                            DateTimeHelper.formatDate(
+                            FormatHelper.formatDateTime(
                                 penerima.tanggalPenerimaan!)),
                       if (penerima.jumlahBantuan != null)
                         _buildInfoRow('Jumlah Bantuan',
@@ -1946,7 +1966,7 @@ class DetailPenyaluranPage extends StatelessWidget {
             _buildInfoRow('Status', 'Batal Terlaksana'),
             if (penyaluran.tanggalSelesai != null)
               _buildInfoRow('Tanggal Pembatalan',
-                  DateTimeHelper.formatDateTime(penyaluran.tanggalSelesai!)),
+                  FormatHelper.formatDateTime(penyaluran.tanggalSelesai!)),
             const SizedBox(height: 8),
             const Text(
               'Alasan Pembatalan:',
@@ -2126,7 +2146,7 @@ class DetailPenyaluranPage extends StatelessWidget {
                     _buildInfoRow(
                       'Tanggal Laporan',
                       controller.laporan.value?.tanggalLaporan != null
-                          ? DateTimeHelper.formatDateTime(
+                          ? FormatHelper.formatDateTime(
                               controller.laporan.value!.tanggalLaporan!)
                           : '-',
                     ),
